"""
Program pro vykreslení šachovnice.

Ukazuje kreslení grafických primitiv pomocí PIL.

Vhodný pro ilustraci do sebe vnořených cyklů.

"""
from PIL import Image, ImageDraw


def kresli_sachovnici(sirka, vyska, pocet_poli):
    assert pocet_poli > 1, "Musí být alespoň 2 "
    obr = Image.new("RGB", (sirka, vyska))  # obrazek
    platno = ImageDraw.Draw(obr) # platno nad obrazkem
    delta = min(sirka, vyska) / pocet_poli # aby obrázek byl čtvercový
    for i in range(pocet_poli+1):
        for j in range(pocet_poli+1):
            if (i + j) % 2 == 0:# zajišťuje střídání barev
                barva = "black"
            else:
                barva = "white"
            platno.rectangle(((i*delta,j*delta),(i*delta+delta,j*delta+delta)), fill = barva)
    platno.rectangle([(0,0),(delta * pocet_poli-1,delta *pocet_poli-1)], outline = "black", )
    return obr


kresli_sachovnici(400,400,4).save("sachovnice-2.png")
