"""
Simulace pohybu kuličky s náhodným počátečním vektorem rychlosti.
V úloze jsou řešeny i odrazy od stěn. Může být použita jako rozšiřující úloha
pro posun kuličky pomocí šipek.


Možné další náměty pro práci studentů:
1) Upravte kód tak, aby kulička po každém odrazu měla menší rychlost.
"""
import pygame
import random

pygame.init()
sirka = 640
vyska = 480
rozmery = [sirka, vyska]
okno = pygame.display.set_mode(rozmery) # vytvoř okno hry
font = pygame.font.SysFont("None", 42)  #vytvoř/použij  systémový font
clock = pygame.time.Clock() #vytvoř objekt hodin


barva_kulicky = (250,0,0) #RGB červená barva kuličky
barva_pozadi = (0,0,100) # modrá barva pozadí
pozice_x = 180 #počáteční x-ová pozice kuličky
pozice_y = 200 #počáteční y-ová pozice kuličky
polomer_kulicky = 20

# generování náhodného počátečního směru pohybu v intervalu <-0.5,0.5>
rychlost_x = random.random()-0.5
rychlost_y = random.random()-0.5

dt = 2# velikost časového kroku, ovlivňuje velikost posunu po obrazovce

beh = True #pomocná proměnná pro kontrolu běhu programu
while beh: # cyklus hry

    for event in pygame.event.get(): #obsluha událostí hry
        if event.type == pygame.QUIT: # kliknutí na křížek na okně
            beh = False

    keys_pressed = pygame.key.get_pressed() #zjištění informace o stisklé klávese
    if keys_pressed[pygame.K_RETURN]: #ukončení stiskem enter
        beh=False
    #vlastní výpočet pozice pomocí vzorce S=v*dt, S=stara_pozice-nova_pozice    
    pozice_x = pozice_x + rychlost_x * dt
    pozice_y = pozice_y + rychlost_y * dt

    #pomocné proměnné obsahující pozice okrajů kuličky
    levy_okraj = pozice_x - polomer_kulicky
    pravy_okraj = pozice_x + polomer_kulicky
    dolni_okraj = pozice_y - polomer_kulicky
    horni_okraj = pozice_y + polomer_kulicky


    if levy_okraj <= 0 or pravy_okraj >= sirka:
        rychlost_x *= -1

    if dolni_okraj <= 0 or horni_okraj >= vyska :
        rychlost_y *= -1

    okno.fill(barva_pozadi) # překresli barvou pozadí, smaže se staré


    #vykreslení kuličky na daných pozicích do okna
    pygame.draw.circle(okno,barva_kulicky,(int(pozice_x),int(pozice_y)),polomer_kulicky)

    pygame.display.update() #vykreslení okna na obrazovku
    clock.tick(100) #počkání 100 ms, pozastavení cyklu while
