"""
Program simulující losování Sportky.
"""
import random
import time

def losuj(kolik):
    """Realizace losování Sportky.
    Vstupem je počet tažených čísel.
    Výstupem je seznam vylosovaných hodnot.
    """
    tazeno = [] # prázdný seznam pro tažená čísla
    while len(tazeno) < kolik :
        cislo = random.randint(1,49)
        if cislo not in tazeno : # testuj zda číslo není v seznamu
            tazeno.append(cislo) # pokud ne, tak přidej
    return tazeno


def porovnej_seznamy(la, lb):
    """Funkce rozhodne, zda dva stejně dlouhé seznamy obsahují identické prvky."""
    delka = len(la)
    for i in range(0,delka):
        if la[i] != lb[i]:
            return False
    return True

def sportka(cisla):
    start = time.perf_counter() #zapamatuj si start běhu losování
    pocet_tahu = 0
    kolik = len(cisla)

    while True: #opakuj, dokud není vylosováno 
        tazeno = losuj(kolik)
        pocet_tahu += 1
        if porovnej_seznamy(cisla, tazeno) :
            break
    stop = time.perf_counter() #konec běhu losování
    return stop - start, pocet_tahu




def main():
    tiket = [1,2,3]
    doba_behu, pocet_tahu = sportka(tiket)
    print("Čas běhu je {0} a počet losování {1}".format(doba_behu, pocet_tahu))


main()
