"""
Program pro  šifrování pomocí posuvných šifer.
Ilustruje dekompozici problému na dílčí části.
"""
import string


def rotuj_znak(znak, posun, mnozina):
    """Funkce provedr rotaci znaku o daný posun v zadané množině"""
    pozice = mnozina.find(znak)# nalezni pozici znaku v množině
    if pozice > -1 : # znak byl opravdu nalezen
        return mnozina[ ( pozice + posun ) % len(mnozina)] #posun
    return znak #kdyz nenalezne znak v množině, vrací původní znak

def sifruj_text(otevreny_text, posun = 3):
    abeceda_mala = string.ascii_lowercase # malá písmena
    abeceda_velka = string.ascii_uppercase #velká písmena
    sifrovany_text = ""
    for znak in otevreny_text:
        pozice = -1
        if znak.islower():
             znak = rotuj_znak(znak,posun, abeceda_mala)
        elif znak.isupper():
             znak = rotuj_znak(znak,posun, abeceda_velka)
        sifrovany_text += znak
    return sifrovany_text


sifra1 = sifruj_text("Tajne heslo je veslo.", 1)
sifra3 = sifruj_text("Tajný kód je 123")
print("Šifrování s posunem 1: {0}".format(sifra1))
print("Šifrování s posunem 3: {0}".format(sifra3))
